cobbler (2.4.1-0ubuntu2+esm1) xenial-security; urgency=medium

  * SECURITY UPDATE: Absolute path traversal vulnerability in the web 
    interface
    - debian/patches/CVE-2014-3225.patch: Disallow kickstarts in 
      /etc/cobbler
    - CVE-2014-3225

  * SECURITY UPDATE: command injection vulnerability in the “add repo”
    component
    - debian/patches/CVE-2017-1000469.patch: Escape shell parameters 
      provided by user on reposync action
    - CVE-2017-1000469

  * SECURITY UPDATE: exposing all private functions from 
    CobblerXMLRPCInterface class over XMLRPC
    - debian/patches/CVE-2018-10931.patch: forbid exposure of private
      methods in the API
    - CVE-2018-10931, CVE-2018-1000225, CVE-2018-1000226

  * SECURITY UPDATE: function check_for_invalid_imports can allow Cheetah 
    code to import Python modules
    - debian/patches/CVE-2021-45082.patch: Fix incomplete template 
      sanitization
    - CVE-2021-45082

  * SECURITY UPDATE: Improper Authorization in GitHub repository 
    cobbler/cobbler
    - debian/patches/CVE-2022-0860.patch: Fix configuration for GitHub 
      accounts
    - CVE-2022-0860

  * SECURITY UPDATE: Files in /etc/cobbler are world readable, resulting 
    in sensitive information leaks (hashed passwords) 
    - debian/patches/CVE-2021-45083.patch: Only root and apache should 
      be able to read sensitive configuration files.
    - CVE-2021-45083

  * SECURITY UPDATE: Several Security Issues
    - debian/patches/CVE-2021-4032_3-5.patch: Prevent arbitrary file 
       write through upload_log_data. Prevent arbitrary file read 
       through generate_script. Prevent log poisoning. Check if 
       modify_setting is really allowed (and adjust tests).
    - CVE-2021-40323, CVE-2021-40324, CVE-2021-40325

 -- Nick Galanis <nick.galanis@canonical.com>  Thu, 26 Oct 2023 10:54:49 +0100

cobbler (2.4.1-0ubuntu2) trusty; urgency=medium

  * add-trusty.diff: Fix a typo.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 20 Feb 2014 11:52:50 +0200

cobbler (2.4.1-0ubuntu1) trusty; urgency=medium

  * Merge from unreleased debian git
    - new upstream release (LP: #1278898)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 13 Feb 2014 23:24:48 +0200

cobbler (2.4.1-1) UNRELEASED; urgency=low

  * New upstream release.
    - works with python-django 1.4 and up (LP: #1076290)
    - cobbler system edit emits an error on failure (LP: #1015678)
    - rework power commands to not allow command injection (LP: #978999)
  * Dropped patches:
    - 12_fix_dhcp_restart.patch: obsolete.
    - 21_cobbler_use_netboot.patch: obsolete
    - 34_fix_apache_wont_start.patch: obsolete
    - 39_cw_remove_vhost.patch: obsolete
    - 42_fix_repomirror_create_sync.patch: upstream
    - 43_fix_reposync_env_variable.patch: upstream
    - 45_add_gpxe_support.patch: implemented differently upstream
    - 46_valid_hostname_for_dns.patch: upstream
    - 47_ubuntu_add_codenames.patch: obsolete
    - 48_ubuntu_mini_iso_autodetect.patch: obsolete
    - 51_koan_grub2_instead_of_grubby.patch: upstream
    - 53_sample_preseed_kopts_postinst.patch: upstream
    - 54_koan_fix_tree_when_ksmeta.patch: upstream
    - 56_ubuntu_arm_generate_pxe_files.patch: upstream
    - 57_ubuntu_dnsmasq_domain.patch: obsolete
    - 58_fix_egg_cache.patch: upstream
    - 60_yaml_safe_load.patch: upstream
    - 62_profile_hostname_no_underscore.patch: upstream
    - 63_fix_arch_in_mirror_path.patch: upstream
    - 64_ubuntu_cobbler_check_disable_loaders.patch: ubuntuism
    - 67_ubuntu_online_doc_link.patch: ubuntuism
    - 69_issue93_fix_trace_in_write_pxe_file.patch: upstream
    - 72-BUGFIX-issue-117-incorrect-permissions-on-files-in-v.patch:
      upstream
  * rules: Replace the old get-orig-source target with gentarball, which
    generates the tarball from the upstream git branch.
  * cobbler-common.install: Install the correct gpxe template.
  * cobbler.postinst: Enable mod_rewrite.
  * Refresh patches.
  * rules: Use --list-missing for dh_install.
  * Migrate /usr/share/cobbler/webroot to /var/lib/cobbler/webroot.
  * rules, cobbler-common.install: Remove some files from the tmpdir that
    are not needed in the package(s), and let cobbler-common include
    everything left in etc/cobbler.
  * control: Bump policy to 3.9.5, no changes.
  * cobbler.install, control: Install cobbler(1) with the binary, replace old
    cobbler-common.
  * cobbler.install: Include ovz-install.
  * cobbler-common.install, 65_ubuntu_disable_pxe_snippet.patch: Replace
    the patch with snippet/disable_pxe, which is included in cobbler-common.
  * python-cobbler.install: Install egg-info.
  * cobbler-web.postinst: Generate a random key for SECURITY_KEY in settings.py.
  * cobbler{,-web}.post{inst,rm}: Migrate to Apache 2.4. (LP: #1224006)
  * cobbler-web: Depend on apache2-utils because postinst uses htpasswd.
  * control, copyright: Update upstream url.
  * control: Update maintainer.
  * compat, control: Bump compat to 9.
  * use-django-conf-urls.diff: Backport a fix for new django.
  * control, rules: Drop embedded jquery.min.js, depend on the packaged one.
  * cobbler.init: Include an initscript.
  * add-trusty.diff: Add signature for trusty tahr.
  * control: Add Vcs headers.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 22 Nov 2012 11:13:11 +0200

cobbler (2.4.0-0ubuntu4) saucy; urgency=low

  * cobbler-web: Depend on apache2-utils. (LP: #1224887)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 13 Sep 2013 13:45:29 +0300

cobbler (2.4.0-0ubuntu3) saucy; urgency=low

  * cobbler{,-web}.post{inst,rm}: Migrate to Apache 2.4. (LP: #1224006)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 12 Sep 2013 14:45:41 +0300

cobbler (2.4.0-0ubuntu2) saucy; urgency=low

  * cobbler-web.postinst: Generate a random key for SECURITY_KEY in settings.py.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 29 Aug 2013 19:32:56 +0300

cobbler (2.4.0-0ubuntu1) saucy; urgency=low

  * Merge from unreleased debian git.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 29 Aug 2013 18:54:28 +0300

cobbler (2.2.2-0ubuntu37) raring; urgency=low

  * debian/patches/72-BUGFIX-issue-117-incorrect-permissions-on-files-in-v.patch:
    correct wrong usage of os.umask() on cobbler/api.py, cobbler/cobblerd.py, and
    cobbler/serializer.py. Imported from Upstream. (LP: #967815)

 -- C de-Avillez <hggdh2@ubuntu.com>  Sun, 09 Sep 2012 11:17:13 -0500

cobbler (2.2.2-0ubuntu36) quantal; urgency=low

  * debian/README.Debian: Add Warning note mentioning that XMLRPC API allows
    unauthenticated access to certain API methods. (LP: #858867)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 07 Aug 2012 11:01:53 -0400

cobbler (2.2.2-0ubuntu35) quantal-proposed; urgency=low

  * debian/patches/70_replace_pxe_menu_title.patch: Not need to change
    PXE BOOt menu title to other than default

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 26 Jul 2012 16:07:55 -0400

cobbler (2.2.2-0ubuntu34) quantal; urgency=low

  * debian/cobbler.config: Do not fail to install if cannot determine
    default IP address. (LP: #1001846)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 29 Jun 2012 16:29:21 -0400

cobbler (2.2.2-0ubuntu33) precise; urgency=low

  * debian/patches/71_fix_tftp_bin_name.patch: Specify the correct name of
    cobbler's internal tftpd server binary file, to not fail. (LP: #967430)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 10 Apr 2012 12:33:17 -0400

cobbler (2.2.2-0ubuntu32) precise; urgency=low

  * replace static list of Ubuntu release names with dependency on 
    distro-info in cobbler and and python-distro-info in python-cobbler
    (LP: #949442)
  * check signature of MD5SUMS.gpg against ubuntu-keyring, and verify
    that downloaded content matches expected (LP: #974460)

 -- Scott Moser <smoser@ubuntu.com>  Mon, 09 Apr 2012 22:08:22 -0400

cobbler (2.2.2-0ubuntu31) precise; urgency=low

  * debian/cobbler.postrm: Do not use apache2ctl, use invoke-rc.d instead.
  * debian/cobbler-ubuntu-import: exit 0 if updates are needed.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 26 Mar 2012 13:52:12 -0400

cobbler (2.2.2-0ubuntu30) precise; urgency=low

  * debian/cobbler.postinst: Do not use apache2ctl, use invoke-rc.d instead
    otherwise it will fail during CD installation; add db_stop.
  * debian/cobbler.postrm: cleanup.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 23 Mar 2012 15:48:37 -0400

cobbler (2.2.2-0ubuntu29) precise; urgency=low

  * debian/patches/70_replace_pxe_menu_title.patch: Change PXE Menu title.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 22 Mar 2012 17:25:56 -0400

cobbler (2.2.2-0ubuntu28) precise; urgency=low

  * debian/control:
    - Switch Recomends on hardlink to Depends.
    - Switch Recommends on debmirror to Suggests.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 21 Mar 2012 21:30:26 -0400

cobbler (2.2.2-0ubuntu27) precise; urgency=low

  * cobbler-ubuntu-import: provide a static list of releases rather
    than depending on distro-info for '--update-existing' function
  * reduce distro-info from Recommends to Suggests.  This is because
    it is not in main.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 19 Mar 2012 15:13:39 -0400

cobbler (2.2.2-0ubuntu26) precise; urgency=low

  * cobbler-ubuntu-import: Fix checking for descendants in
    reassign_distro() in order to move the old profiles and systems using
    them to the new distro, instead of losing them when the old distro
    is removed.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 19 Mar 2012 13:01:10 +0200

cobbler (2.2.2-0ubuntu25) precise; urgency=low

  * cobbler-ubuntu-import: Fix a typo, so -U option actually works.
    (LP: #959085)
  * cobbler-ubuntu-import: Fix passing arguments to 'cobbler distro find',
    so the importer doesn't fail. (LP: #959088)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 19 Mar 2012 11:25:58 +0200

cobbler (2.2.2-0ubuntu24) precise; urgency=low

  * Make debconf questions low priority (LP: #956518)
  * debian/cobbler.postinst: Correctly determine IP of interface with default
    route.
  * Update po to update template changes.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 16 Mar 2012 15:21:59 -0400

cobbler (2.2.2-0ubuntu23) precise; urgency=low

  * cobbler-ubuntu-import: be more quiet when downloading images by
    using wget --progress=dot:mega.
  * cobbler-ubuntu-import: create dependent '-auto' profiles that
    contain the necessary kickstart and kernel options for automated install

 -- Scott Moser <smoser@ubuntu.com>  Thu, 15 Mar 2012 15:47:05 -0400

cobbler (2.2.2-0ubuntu22) precise; urgency=low

  [C de-Avillez]
  * fix stack trace in write_pxe_file (LP: #943000)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 07 Mar 2012 16:03:12 -0500

cobbler (2.2.2-0ubuntu21) precise; urgency=low

  * Allow API to work without installing cobbler-web, as it now only installs
    the WebUI. (LP: #942725)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 29 Feb 2012 17:19:26 -0500

cobbler (2.2.2-0ubuntu20) precise; urgency=low

  * debian/patches:
    - 67_ubuntu_online_doc_link.patch: Change 'Online Documentation' link to
      Ubuntu wiki one. (LP: #918372)
    - 68_ubuntu_cdu_power_template.patch: Add a power template for a
      Sentry Switch CDU. (LP: #927921)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 06 Feb 2012 17:33:23 -0500

cobbler (2.2.2-0ubuntu19) precise; urgency=low

  * Remove remaining Ubuntu branding (LP: #891977)
    - debian/logo-ubuntu.png: removed; cobbler-web.install: not install logo;
      debian/control: Remove Dep on ttf-ubuntu-font-family;
      cobbler-web.postinst: Do not create font symlinks.
  * debian/patches/65_ubuntu_disable_pxe_snippet.patch: Add disable PXE
    snippet. (LP: #914017)
  * 66_use_eth0_mac_for_poweron_etherwake.patch: Use MAC of eth0 if
    power_address has not being defined. (LP: #912476)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 01 Feb 2012 12:58:43 -0500

cobbler (2.2.2-0ubuntu18) precise; urgency=low

  * debian/patches/63_fix_arch_in_mirror_path.patch: Fix double-adding the
    arch on the mirror path. (LP: #918796)
  * debian/patches/64_ubuntu_cobbler_check_disable_loaders.patch: Disable
    check for external bootloaders. Only check for syslinux. (LP: #918350)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 01 Feb 2012 11:04:11 -0500

cobbler (2.2.2-0ubuntu17) precise; urgency=low

  * cobbler-ubuntu-import: fix update-existing to only update
    distros formated as '<codename>-<arch>'

 -- Scott Moser <smoser@ubuntu.com>  Fri, 27 Jan 2012 13:09:38 +0000

cobbler (2.2.2-0ubuntu16) precise; urgency=low

  * cobbler-ubuntu-import: fix bug where 'amd64' arch was not actually
    supported.
  * cobbler-ubuntu-import: add '--update-existing' flag for updating
    all existin ubuntu distros.  Also fix issues where multiple 
    codename-arch arguments were not being honored.

 -- Scott Moser <smoser@ubuntu.com>  Mon, 23 Jan 2012 12:22:36 +0100

cobbler (2.2.2-0ubuntu15) precise; urgency=low

  * debian/control: Depends on virtinst for koan. (LP: #918281)
  * debian/patches/54_koan_fix_tree_when_ksmeta.patch: Update to obtain
    correct tree for mini ISO's that have repo_mirror. (LP: #918286)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 18 Jan 2012 13:50:40 -0500

cobbler (2.2.2-0ubuntu14) precise; urgency=low

  * debian/cobbler.preinst: fix /etc/cobbler/users.digest if upgrading from a
    version that set it world readable (LP: #858860).

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 05 Jan 2012 09:13:13 +0000

cobbler (2.2.2-0ubuntu13) precise; urgency=low

  * debian/patches/62_profile_hostname_no_underscore.patch: Replace
    underscore with dash for the hostname.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 04 Jan 2012 14:23:54 -0500

cobbler (2.2.2-0ubuntu12) precise; urgency=low

  * remove python-cobbler postinst script entirely.
  * cobbler-ubuntu-import: fix bug that cleaned http_proxy
    from the environment if no --proxy was given
  * cobbler-ubuntu-import: respect long arguments of
    --proxy and --update

 -- Scott Moser <smoser@ubuntu.com>  Thu, 22 Dec 2011 12:11:39 -0500

cobbler (2.2.2-0ubuntu11) precise; urgency=low

  * remove use of update-python-modules in python-cobbler (LP: #907525)

 -- Scott Moser <smoser@ubuntu.com>  Wed, 21 Dec 2011 16:19:24 -0500

cobbler (2.2.2-0ubuntu10) precise; urgency=low

  * debian/patches/56_ubuntu_arm_generate_pxe_files.patch: Updated to add
    ARM based profiles into the PXE Menu list. (LP: #901780)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 08 Dec 2011 12:22:16 -0500

cobbler (2.2.2-0ubuntu9) precise; urgency=low

  * debian/cobbler.{postinst,config}: Fix setting of server and next_server
    on installation. Also allow reconfigure. (LP: #898673)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 07 Dec 2011 17:33:16 -0500

cobbler (2.2.2-0ubuntu8) precise; urgency=low

  * debian/cobbler-ubuntu-import: On distro import, also reassign *all*
    descendent profiles not just Orchestra-specific profiles (ie, $rel-$arch).
    Preserves user-added profiles associated with updated distros (LP: #900977)

 -- Adam Gandelman <adamg@canonical.com>  Tue, 06 Dec 2011 16:18:21 -0800

cobbler (2.2.2-0ubuntu7) precise; urgency=low

  * debian/patches:
    - 45_add_gpxe_support.patch: Updated to only use menu.gpxe when gpxe
      is enabled and not always. (LP: #8417268)
    - 61_ubuntu_pxe_chainc32_default.patch: Use chain.c32 for localboot,
      rather than 'LOCALBOOT -1' by default. (LP: #898838)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 06 Dec 2011 17:15:41 -0500

cobbler (2.2.2-0ubuntu6) precise; urgency=low

  * Fix typo in cobbler-common.install which caused the gpxe template to be
    shipped in /exists instead of the usual location under /etc.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 24 Nov 2011 14:00:01 +0100

cobbler (2.2.2-0ubuntu5) precise; urgency=low

  * debian/cobbler-ubuntu-import: Support wget'ing via a proxy via -p argument,
    correct error so that $ISO_DIR actually gets created if it doesn't exist.
    (LP: #892409)

 -- Adam Gandelman <adamg@canonical.com>  Tue, 22 Nov 2011 15:36:38 -0500

cobbler (2.2.2-0ubuntu4) precise; urgency=low

  * debian/copyright: Re-arrange and add missing license paragraphs to make
    it lintian clean. (LP: #892001)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 22 Nov 2011 12:44:41 -0500

cobbler (2.2.2-0ubuntu3) precise; urgency=low

  * debian/patches/47_ubuntu_add_codenames.patch:
    - Updated to add missing codenames in cobbler/codes.py.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 17 Nov 2011 20:40:30 -0500

cobbler (2.2.2-0ubuntu2) precise; urgency=low

  * debian/cobbler-common.install: Install missing files.
    - etc/cobbler/mongodb.conf (LP: #891527)
    - etc/cobbler/ldap/ldap_authconfig.template
    - etc/cobbler/iso/buildiso.template
    - etc/cobbler/pxe/gpxemenu.template exists
    - etc/cobbler/pxe/pxeprofile_esxi.template
    - etc/cobbler/pxe/pxesystem_esxi.template

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 17 Nov 2011 10:38:58 -0500

cobbler (2.2.2-0ubuntu1) precise; urgency=low

  [Chuck Short]
  * New upstream release:
    + Use dh_python2 everywhere.
    + Folded debian/patches/49_ubuntu_add_arm_arch_support.patch
      and debian/patches/56_ubuntu_arm_generate_pxe_files.patch
      into one patch for easier upstreaming.
    + Dropped debian/patches/50_fix_cobbler_timezone.patch:
      Fix upstream.
    + Dropped debian/patches/47_ubuntu_add_oneiric_codename.patch
      in favor of debian/patches/47_ubuntu_add_codenames.patch:
      It adds "precise" and drops unsupported releases as well.
    + Dropped debian/patches/41_update_tree_path_with_arch.patch:
      No longer needed.
    + Dropped debian/patches/55_ubuntu_branding.patch: Will be moved
      to orchestra

   [Clint Byrum]
   * debian/cobbler.postinst: create users.digest mode 0600 so it
     is not world readable. (LP: #858860)
   * debian/control: cobbler needs to depend on python-cobbler
     (LP: #863738)
   * debian/patches/58_fix_egg_cache.patch: Do not point dangerous
     PYTHON_EGG_CACHE at world writable directory. (LP: #858875)
   * debian/cobbler-common.install: remove users.digest as it is
     not required and contains a known password that would leave
     cobblerd vulnerable if started before configuration is done
   * debian/cobbler-web.postinst: fix perms on webui_sessions to
     be more secure (LP: #863755)

   [Robie Basak]
   * Backport safe YAML load from upstream. (LP: #858883)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 15 Nov 2011 12:35:40 -0500

cobbler (2.1.0+git20110602-0ubuntu27) precise; urgency=low

  [ Adam Gandelman ]
  * debian/cobbler-ubuntu-import:
      - Check update pockets for releases on download and update check.
        (LP: #850880 )
      - Allow '-u' to upgrade existing profiles to a newer version of an ISO.
        (LP: #850886)
      - '-v' to allow debug msgs.

  [ Andres Rodriguez ]
  * debian/patches:
    - 42_fix_repomirror_create_sync.patch: Updated to correctly create the 
      mirror. (LP: #872926)
  * debian/cobbler-web.postrm: Remove symlinks that were created on
    postinst. (LP: #872892)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 24 Oct 2011 19:29:26 -0400

cobbler (2.1.0+git20110602-0ubuntu26) oneiric; urgency=low

  * debian/cobbler-ubuntu-import: Add --check-update and --remove
    functionality.  This should help orchestra-import-isos keep local
    ISO caches up-to-date. (LP: #850892)

 -- Adam Gandelman <adamg@canonical.com>  Thu, 15 Sep 2011 16:36:39 -0700

cobbler (2.1.0+git20110602-0ubuntu25) oneiric; urgency=low

  * debian/cobbler-common.install: Install missing pxeprofile_arm.template
    and pxesystem_arm.template (LP: #844982).

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 08 Sep 2011 13:01:55 -0400

cobbler (2.1.0+git20110602-0ubuntu24) oneiric; urgency=low

  * debian/cobbler-web.postinst: Correctly handle creation/validation of
    links for the Ubuntu font for cobbler-web. (LP: #840188)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 06 Sep 2011 14:11:49 -0400

cobbler (2.1.0+git20110602-0ubuntu23) oneiric; urgency=low

  * debian/patches/57_ubuntu_dnsmasq_domain.patch: Add commented 'domain'
    field on dnsmasq template to be later used by orchestra. (LP: #834172)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 01 Sep 2011 20:08:17 -0400

cobbler (2.1.0+git20110602-0ubuntu22) oneiric; urgency=low

  * cobbler-web: Localize use of Ubuntu fonts, add ttf-ubuntu-font-family
    as Depends. (LP #834868)

 -- Adam Gandelman <adamg@canonical.com>  Fri, 26 Aug 2011 12:58:21 -0700

cobbler (2.1.0+git20110602-0ubuntu21) oneiric; urgency=low

  * debian/patches/52_ubuntu_default_config.patch: Update. Add 'orchestra'
    to cheetah_import_whitelist

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 23 Aug 2011 17:35:45 -0400

cobbler (2.1.0+git20110602-0ubuntu20) oneiric; urgency=low

  * debian/patches:
    - 49_ubuntu_add_arm_arch_support.patch: Updated to allow import of ARM
      arch. (LP: #827674)
    - 56_ubuntu_arm_generate_pxe_files.patch: Added. Add templates and
      generate files for PXE Menu creation for profile/systems. (LP: #827681)
      Additionally make sure hostname is set correctly.
  * Add preseed for ARM architectures.
    - debian/ubuntu-server-arm.seed: Add
    - debian/cobbler.install: Install preseed.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 17 Aug 2011 12:22:53 -0400

cobbler (2.1.0+git20110602-0ubuntu19) oneiric; urgency=low

  * debian/cobbler-ubuntu-import:
    - move the loop_mount logic over from orchestra-import-isos (which now
      uses cobbler-ubuntu-import)

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 11 Aug 2011 13:02:11 -0500

cobbler (2.1.0+git20110602-0ubuntu18) oneiric; urgency=low

  * debian/patches/55_ubuntu_branding.patch, debian/patches/series,
    web/content/logo-ubuntu.png:
    - skin the web interface with Ubuntu colors/logo
    - fix install location, move png to right location

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 10 Aug 2011 16:12:18 -0500

cobbler (2.1.0+git20110602-0ubuntu17) oneiric; urgency=low

  * Fix description of cobbler-web package.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 28 Jul 2011 11:55:50 +0200

cobbler (2.1.0+git20110602-0ubuntu16) oneiric; urgency=low

  * debian/cobbler.postinst: Drop. Causes purge to fail (LP: #805901)
  * debian/control: Depend on libapache2-mod-wsgi for cobbler-web (LP: #790038)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 19 Jul 2011 18:13:59 -0400

cobbler (2.1.0+git20110602-0ubuntu15) oneiric; urgency=low

  * debian/cobbler-ubuntu-import: add tool for importing Ubuntu releases

 -- Scott Moser <smoser@ubuntu.com>  Tue, 12 Jul 2011 14:27:34 -0400

cobbler (2.1.0+git20110602-0ubuntu14) oneiric; urgency=low

  * debian/patches/54_koan_fix_tree_when_ksmeta.patch: Ensure ks_meta args
    are not added to tree when obtaining it.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 12 Jul 2011 12:10:40 -0400

cobbler (2.1.0+git20110602-0ubuntu13) oneiric; urgency=low

  * debian/patches:
    - 52_ubuntu_default_config.patch: Rename/update patch created by quilt
      for changes to config/settings.
    - 53_sample_preseed_kopts_postinst.patch: Add post inst kernel options
      to sample preseed. (LP: #760019)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 05 Jul 2011 12:45:32 -0400

cobbler (2.1.0+git20110602-0ubuntu12) oneiric; urgency=low

  * config/settings:
    - default kernel options on install to en_US and priority=critical,
      to prevent interactive remote installs
    - default virt settings to kvm-friendly virbr0 and qemu
    - default power management to ether_wake
    - default preseed to an Ubuntu preseed
    - default to pxe boot just once to prevent boot loops
  * debian/cobbler.install, debian/cobbler.links,
    debian/ubuntu-server.preseed:
    - create and install an ubuntu-server.preseeed

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 29 Jun 2011 12:07:23 +0000

cobbler (2.1.0+git20110602-0ubuntu11) oneiric; urgency=low

  * debian/patches/51_koan_grub2_instead_of_grubby.patch: Use grub2 for koan's
    '--replace-self' option instead of grubby. (LP: #766229)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 28 Jun 2011 17:02:53 -0400

cobbler (2.1.0+git20110602-0ubuntu10) oneiric; urgency=low

  * debian/patches/50_fix_cobbler_timezone.patch: Dont hardcode timezone
    in the web interface. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 28 Jun 2011 11:55:14 +0100

cobbler (2.1.0+git20110602-0ubuntu9) oneiric; urgency=low

  * debian/patches/49_ubuntu_add_arm_arch_support.patch: Add arm as a valid 
    architecture. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Jun 2011 07:30:23 -0400

cobbler (2.1.0+git20110602-0ubuntu8) oneiric; urgency=low

  * debian/control: Recommends on fence-agents.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 20 Jun 2011 11:09:33 -0400

cobbler (2.1.0+git20110602-0ubuntu7) oneiric; urgency=low

  * debian/patches:
    - 47_ubuntu_add_oneiric_codename.patch: Add oneiric codename to
      not fail on Oneiric imports.
    - 48_ubuntu_mini_iso_autodetect.patch: Obtain os_version/arch when
      importing mini ISO from info file (.disk/mini-info).

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 17 Jun 2011 18:12:54 -0400

cobbler (2.1.0+git20110602-0ubuntu6) oneiric; urgency=low

  * debian/patches/45_add_gpxe_support.patch: Added missing ')', fixing
    installability.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 10 Jun 2011 18:22:08 +0100

cobbler (2.1.0+git20110602-0ubuntu4) oneiric; urgency=low

  * debian/patches/45_add_gpxe_support.patch: Add gpxe booting support
    to cobbler. Apart of the server-o-cobbler-next-steps specification.
  * debian/patches/46_valid_hostname_for_dns.patch: "_" is not a valid
    character for a hostname use "-" instead. (LP: #784420) 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Jun 2011 09:40:58 -0400

cobbler (2.1.0+git20110602-0ubuntu3) oneiric; urgency=low

  * debian/patches/42_fix_repomirror_create_sync.patch: Improve method to
    obtain Ubuntu mirror to use if python-apt installed.
  * debian/cobbler.postinst: Really fix setting of 'server'. Move the logic
    to obtain IP to debian/cobbler.config and set it default if available.
  * Un-apply all patches and remove .pc. IMO branches should not reflect patches
    applied as they generate huge diff's when updating or working with them.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 08 Jun 2011 17:21:45 -0400

cobbler (2.1.0+git20110602-0ubuntu2) oneiric; urgency=low

  * debian/cobbler.templates: Re-introduce i18n support and refresh template.
  * NOTE: The Following patches were NOT really dropped and SHOULD not be.
    - debian/patches/41_update_tree_path_with_arch.patch
    - debian/patches/42_fix_repomirror_create_sync.patch

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 03 Jun 2011 15:20:26 -0400

cobbler (2.1.0+git20110602-0ubuntu1) oneiric; urgency=low

  [Chuck Short]
  * New upstream version:
    - Dropped the following patches, already accepted upstream:
      + debian/patches/31_add_ubuntu_koan_utils_support.patch
      + debian/patches/32_fix_koan_import_yum.patch
      + debian/patches/36_tainted_file_path.patch
      + debian/patches/37_koan_install_tree.patch
      + debian/patches/38_koan_qcreate_ubuntu_support.patch
      + debian/patches/41_update_tree_path_with_arch.patch
      + debian/patches/42_fix_repomirror_create_sync.patch
      + debian/patches/42_fix_repomirror_create_sync.patch

  [Andres Rodriguez]
  * debian/cobbler.{templates, config, postinst}: Add debconf question to
    set next_server and server config options.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Jun 2011 09:25:37 -0400

cobbler (2.1.0-0ubuntu11) oneiric; urgency=low

  * Fixed Lintian error/warnings. (LP: #705436)
    - debian/{po/,control,cobbler.templates}: Added I18N support to debconf 
      template file.
    - debian/control: 
      + Bumped Standards Version to 3.9.2 (no changes needed)
      + Changed python-koan binary package to section python.
    - debian/copyright: 
      + Updated Free Software Foundation (FSF) postal address.
      + Removed reference to base-files BSD licence.
    - debian/patches/44_cobbler_manpage_syntax_fix.patch: Fix manpage to not
      generate errors with pod2man.
    - debian/{rules,cobbler.install}: Drop file extension to /usr/sbin/tftpd.py
    - debian/cobbler.postrm: Set -e on shebang.
    - debian/cobbler-web.lintian-overrides: Overide warning of scripts which 
      are purely provided as a web resource, never executed locally.
    - debian/cobbler.manpages, debian/manpages/{cobbler-ext-nodes.1,cobblerd.1,
      tftpd.1}: Initial manpages created.
  * debian/control: Added Depends on python-twisted which is required by
    cobblers tftpd.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 03 Jun 2011 13:09:09 +0100

cobbler (2.1.0-0ubuntu10) oneiric; urgency=low

  * debian/cobbler.postinst:
    - fix minor error in the grep from the last upload, fixing cobbler
      settings
  * debian/control:
    - drop cman from suggests;  fence-agents will land in the archive very
      soon and should be added as a recommends

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 02 Jun 2011 17:15:02 -0400

cobbler (2.1.0-0ubuntu9) oneiric; urgency=low

  * debian/cobbler.postinst:
    - set server and next_server in the initial cobbler settings, so as
      to make it more useful out of the box
  * debian/control:
    - fix upstream URL, LP: #791101

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 31 May 2011 18:48:43 -0500

cobbler (2.1.0-0ubuntu8) oneiric; urgency=low

  * debian/patches:
    - 41_update_tree_path_with_arch.patch: Update mirror_name to correctly
      reflect path tree patch when specifying arch on import. (LP: #772012)
    - 42_fix_repomirror_create_sync.patch: Fix the creation of a disabled
      repo mirror; enables apt as a repo. (LP: #765224)
    - 43_fix_reposync_env_variable.patch: Fix reposync HOME env variable for
      debmirror by hardcoding to /var/lib/cobbler. (LP: #775946)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 02 May 2011 18:26:03 -0400

cobbler (2.1.0-0ubuntu7) natty; urgency=low

  * Fixed management of bind9 (LP: #764391):
    - debian/patches/40_ubuntu_bind9_management.patch:
      - Manage bind9 instead of named daemon.
      - Generate configuration in /etc/bind.
      - Use default bind9 configuration as much as possible.
    - debian/control: Added Suggests: bind9 to cobbler.

 -- James Page <james.page@canonical.com>  Mon, 18 Apr 2011 11:15:59 +0100

cobbler (2.1.0-0ubuntu6) natty; urgency=low

  * Fix DocumentRoot conflict with default vhost (LP: #760012)
    - debian/patches/39_cw_remove_vhost.patch: Remove VirtualHost definition. 

 -- James Page <james.page@canonical.com>  Fri, 15 Apr 2011 13:35:20 +0100

cobbler (2.1.0-0ubuntu5) natty; urgency=low

  * Fix koan launch of Ubuntu images in KVM (LP: #751959).
    - debian/patches/37_koan_install_tree.patch: Obtain install tree for
      Ubuntu/Debian differently as we use preseeds rather than kickstarts.
    - debian/patches/38_koan_qcreate_ubuntu_support.patch: Add ubuntu support
      when creating images on KVM. Used for communication with virtinst.
  * debian/patches/debian-changes-2.1.0-0ubuntu4: Dropped automatically
    created quilt patch.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 07 Apr 2011 13:25:13 -0400

cobbler (2.1.0-0ubuntu4) natty; urgency=low

  * debian/patches/36_tainted_file_path.patch: cherry-pick fix
    to tainted file path errors, LP: #750402

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 04 Apr 2011 13:14:13 -0500

cobbler (2.1.0-0ubuntu3) natty; urgency=low

  [ Andres Rodriguez ]
  * Really create/install python-koan binary package, LP: #731616
    - debian/control: Add binary package. Depend on python-ethtool.
    - debian/python-koan.install: Install koan python modules.
  * debian/patches/35_fix_hardlink_bin_path.patch:
    - Fix hardlink tool bin path and arguments as hardlink in Ubuntu/Debian
      is a different tool from other distros (Fedora/RHEL).

  [ Dustin Kirkland]
  * debian/cobbler.templates, debian/cobbler.config, debian/cobbler.postinst:
    - add a debconf question for the cobbler user's password
    - update the cobbler/admin user's password in cobbler/settings
  * debian/control:
    - depend on openssl, which we use to update the password in cobbler/settings
  * debian/patches/33_authn_configfile.patch:
    - move from denyall to configfile authentication now that the password
      is debconf-managed; makes cobbler work out of the box, LP: #741661
  * debian/patches/34_fix_apache_wont_start.patch:
    - comment out line that's causing Apache to fail to start, LP: #741661
  * debian/cobbler.postinst, debian/cobbler.postrm:
    - fix installation errors associated with restarting apache2 here
    - a2enmod wsgi
  * debian/cobbler-web.dirs, debian/cobbler-web.postinst:
    - must create/chown web sessions directory to www-data for the web ui
      to be usable, LP: #741661

 -- Dustin Kirkland <kirkland@ubuntu.com>  Mon, 04 Apr 2011 12:55:44 -0500

cobbler (2.1.0-0ubuntu2) natty; urgency=low

  * debian/rules: clean out manpage zipfiles, so that rebuilds work,
    LP: #746847
  * debian/cobbler-web.postinst: LP: #746854
    - fix broken link
    - use ln -sf so that upgrades work

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 31 Mar 2011 19:23:29 -0500

cobbler (2.1.0-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Make it a bit more easier to configure cobbler_web (LP: #741661)
  * Drop java dependencies since cobbler4j is no longer shipped upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 31 Mar 2011 08:54:56 -0400

cobbler (2.1.0~bzr2005-0ubuntu2) natty; urgency=low

  * debian/patches/31_add_ubuntu_koan_utils_support.patch: Add support for
    ubuntu distro in koan utils.py.
  * debian/patches/32_fix_koan_import_yum.patch: Fix import error of yum
    python module; adds flexibility for other package managers. (LP: #731620)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 11 Mar 2011 16:02:48 -0500

cobbler (2.1.0~bzr2005-0ubuntu1) natty; urgency=low

  [Chuck Short]
  * New upstream release. 

  [Andres Rodriguez]
  * Add python-koan package (LP: #731616):
    - debian/control: Add python-koan binary package; fix typo
    - debian/python-cobbler.install: Do not install koan python modules.
    - debian/python-koan.install: Add. Install koan python modules.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 11 Mar 2011 07:59:55 -0500

cobbler (2.1.0~bzr2002-0ubuntu1) natty; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 25 Feb 2011 14:47:03 -0500

cobbler (2.1.0~bzr1998-0ubuntu1) natty; urgency=low

  * New upstream release.
  * Dropped:
    - debian/patches/01-ubuntu-webroot.patch: Accepted upstream.
    - debian/patches/04-logfile-check.patch: Accepted upstream.
    - debian/patches/05_fix_init_paths.patch: Accepted upstream.
    - debian/patches/11_support-other-wol-tools.patch: Accepted upstream.
    - debian/patches/22_re-enable_debmirror.patch: Accepted upstream.
    - debian/patches/03-localboot-value.patch: Accepted upstream.
   * debian/control: Add python-all as a build dependency.
   * debian/patches/05_cobbler_fix_reposync_permissions.patch: 
     Fix reposync permissions. (LP: #710757)
   * debian/patches/12_fix_dhcp_restart.patch: Fix dhcp restart.
     (LP: #709723)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 28 Jan 2011 14:39:12 -0500

cobbler (2.1.0~bzr1988-0ubuntu1) natty; urgency=low

  [Chuck Short]
  * New upstram release.
  * Re-added get-orig-source to make it easier to make a tarball.
  * Dropped 02_install-layout.patch
  * Added Debian/README.Source
  * Reworked webroot patch
  * debian/cobbler-common.install: Don't put the init script
    in /etc/cobbler. (LP: #705441)
  * debian/patches/05_fix_init_paths.patch: Don't hard code init paths
    (LP: #706995)

  [Dave Walker (Daviey)]
  * debian/control: For binary package koan, do not depend on cobbler as it should 
    be functional separately. However, the additional dependency of libvirt-bin 
    has been added.  (LP: #707113)

  [ Clint Byrum ]
  * debian/patches/series: remove 02_install-layout.patch

 -- Clint Byrum <clint@ubuntu.com>  Tue, 25 Jan 2011 16:46:04 -0800

cobbler (2.1.0~bzr1881-0ubuntu1) natty; urgency=low

  [Chuck Short]
  * Initial release

  [Dave Walker (Daviey)]
  * Imported upstream snapshot r1881
  * Refreshed and cleaned patches
  * debian/control: Updated maintainer to match current policy
  * debian/patches/series: Removed patch that was previously dropped
  * debian/patches/*: Added initial DEP-3 patch tagging.
  * debian/patches/03-localboot-value.patch: Changed localboot value
    to be more reliable with later versions of (sys|pxe)linux.
  * debian/rules: Removed get-orig-source as it is currently not required.

  [Clint Byrum]
  * debian/copyright: changed to DEP5 format and added 
    license/copyright info where applicable.

   [James Page]
  * Added libcobbler4j-java package.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Tue, 18 Jan 2011 12:03:14 +0000
